Source: gpsdrive
Version: 2.10~pre4-6.dfsg-2
Severity: serious

Hi,

There was an error while trying to autobuild your package:

> Start Time: 20090509-1635

[...]

> Build-Depends: debhelper (>= 5), automake1.9, libtool, pkg-config, 
> libpcre3-dev, libgtk2.0-dev, libart-2.0-dev, libxml2-dev, 
> libmysqlclient15-dev, autotools-dev, dpatch, libmapnik-dev (>= 0.5~svn638), 
> libboost-dev, libboost-filesystem-dev, libboost-serialization-dev, 
> libdbus-glib-1-dev

[...]

> Toolchain package versions: libc6-dev_2.9-12 linux-libc-dev_2.6.29-4 
> g++-4.3_4.3.3-8 gcc-4.3_4.3.3-8 binutils_2.19.1-1 libstdc++6_4.4.0-4 
> libstdc++6-4.3-dev_4.3.3-8
> 

[...]

> if i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. 
> -DLOCALEDIR=\"/usr/share/locale\" -DDATADIR=\"/usr/share\" 
> -DLIBDIR=\"/usr/lib\" -DFRIENDSSERVERVERSION=\"2\"   -DMAPNIK -I/usr/include/ 
> -I/usr/local/include -I/opt/boost_1_35/include/boost-1_35 
> -I/usr/local/include/freetype2 -I/usr/include/freetype2 -I. -L/usr/local/lib 
> -I. -I. -I.. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include 
> -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   
> -DDBUS_API_SUBJECT_TO_CHANGE=1    -g -O2  -MT mapnik.o -MD -MP -MF 
> ".deps/mapnik.Tpo" -c -o mapnik.o mapnik.cpp; \
>       then mv -f ".deps/mapnik.Tpo" ".deps/mapnik.Po"; else rm -f 
> ".deps/mapnik.Tpo"; exit 1; fi
> /bin/sh ../libtool --tag=CXX --mode=link i486-linux-gnu-g++  -g -O2    -o 
> gpsdrive  gpsdrive.o splash.o gpsdrive_config.o navigation.o speech_out.o 
> friends.o battery.o track.o poi.o wlan.o waypoint.o draw_grid.o settings.o 
> gpssql.o gpskismet.o icons.o gui.o poi_gui.o main_gui.o navigation_gui.o 
> settings_gui.o LatLong-UTMconversion.o gpsnasamap.o gpsmisc.o geometry.o 
> map_handler.o import_map.o routes.o download_map.o map_projection.o 
> speech_strings.o gps_handler.o nmea_handler.o unit_test.o mapnik.o -lcrypt 
> -lfontconfig -lfontconfig -lcairo  -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 
> -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 
> -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 
> -lgthread-2.0 -lrt -lglib-2.0 -lart_lgpl_2   -lxml2   -L/usr/lib -lpcre   
> -ldbus-1   -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lfreetype 
> -lmapnik
> ../libtool: line 777: X--tag=CXX: command not found
> ../libtool: line 810: libtool: ignoring unknown tag : command not found
> ../libtool: line 777: X--mode=link: command not found
> ../libtool: line 927: *** Warning: inferring the mode of operation is 
> deprecated.: command not found
> ../libtool: line 928: *** Future versions of Libtool will require -mode=MODE 
> be specified.: command not found
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> ../libtool: line 2081: X-g: command not found
> ../libtool: line 2081: X-O2: command not found
> ../libtool: line 1832: X-L/usr/lib: No such file or directory
> ../libtool: line 2245: Xgpsdrive: command not found
> ../libtool: line 2250: X: command not found
> ../libtool: line 2257: Xgpsdrive: command not found
> ../libtool: line 2265: mkdir /.libs: No such file or directory
> mkdir: cannot create directory `/.libs': Permission denied
> make[4]: *** [gpsdrive] Error 1
> make[4]: Leaving directory 
> `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg/src'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory 
> `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory 
> `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg'
> make[1]: *** [all] Error 2
> make: *** [build-arch-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> make[1]: Leaving directory 
> `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg'

A full build log can be found at:
http://buildd.debian.org/build.php?arch=i386&pkg=gpsdrive&ver=2.10~pre4-6.dfsg-2+b1

This is most likely caused by mixing old and new parts of libtool.
This could for instance happen when not all aclocal.m4 are
regenerated.


Kurt




_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to